r8938 - in trunk: BOOK BOOK/introduction/welcome BOOK/server/mail bootscripts/blfs/init.d

bdubbs at linuxfromscratch.org bdubbs at linuxfromscratch.org
Mon Nov 7 09:16:37 PST 2011


Author: bdubbs
Date: 2011-11-07 10:16:31 -0700 (Mon, 07 Nov 2011)
New Revision: 8938

Modified:
   trunk/BOOK/general.ent
   trunk/BOOK/introduction/welcome/changelog.xml
   trunk/BOOK/server/mail/postfix.xml
   trunk/bootscripts/blfs/init.d/postfix
Log:
Update to postfix-2.8.4.


Modified: trunk/BOOK/general.ent
===================================================================
--- trunk/BOOK/general.ent	2011-11-05 21:04:08 UTC (rev 8937)
+++ trunk/BOOK/general.ent	2011-11-07 17:16:31 UTC (rev 8938)
@@ -3,7 +3,7 @@
 $Date$
 -->
 
-<!ENTITY day          "05">                   <!-- Always 2 digits -->
+<!ENTITY day          "07">                   <!-- Always 2 digits -->
 <!ENTITY month        "11">                   <!-- Always 2 digits -->
 <!ENTITY year         "2011">
 <!ENTITY copyrightdate "2001-&year;">
@@ -56,7 +56,7 @@
 <!ENTITY lfs-vim-version              "7.3">
 <!-- End LFS versions -->
 
-<!ENTITY blfs-bootscripts-version     "20111101">
+<!ENTITY blfs-bootscripts-version     "20111107">
 <!ENTITY blfs-bootscripts-download    "&downloads-root;/blfs-bootscripts-&blfs-bootscripts-version;.tar.bz2">
 
 <!ENTITY blfs-wiki                    "http://wiki.&lfs-domainname;/blfs/wiki">
@@ -493,7 +493,7 @@
 <!-- Chapter 22 -->
 <!ENTITY courier-version              "0.47">
 <!ENTITY exim-version                 "4.67">
-<!ENTITY postfix-version              "2.5.1">
+<!ENTITY postfix-version              "2.8.4">
 <!ENTITY qpopper-version              "4.0.9">
 <!ENTITY sendmail-version             "8.14.4">
 

Modified: trunk/BOOK/introduction/welcome/changelog.xml
===================================================================
--- trunk/BOOK/introduction/welcome/changelog.xml	2011-11-05 21:04:08 UTC (rev 8937)
+++ trunk/BOOK/introduction/welcome/changelog.xml	2011-11-07 17:16:31 UTC (rev 8938)
@@ -42,9 +42,18 @@
 -->
 
     <listitem>
-      <para>November 4th, 2011</para>
+      <para>November 7th, 2011</para>
       <itemizedlist>
         <listitem>
+          <para>[bdubbs] - Update to postfix-2.8.4.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
+      <para>November 5th, 2011</para>
+      <itemizedlist>
+        <listitem>
           <para>[bdubbs] - Remove gtk+1, glib1, xmms, gsview.</para>
         </listitem>
         <listitem>

Modified: trunk/BOOK/server/mail/postfix.xml
===================================================================
--- trunk/BOOK/server/mail/postfix.xml	2011-11-05 21:04:08 UTC (rev 8937)
+++ trunk/BOOK/server/mail/postfix.xml	2011-11-07 17:16:31 UTC (rev 8938)
@@ -6,9 +6,9 @@
 
   <!ENTITY postfix-download-http "http://postfix.energybeam.com/source/official/postfix-&postfix-version;.tar.gz">
   <!ENTITY postfix-download-ftp "ftp://ftp.porcupine.org/mirrors/postfix-release/official/postfix-&postfix-version;.tar.gz">
-  <!ENTITY postfix-md5sum "95a559c509081fdd07d78eafd4f4c3b4">
-  <!ENTITY postfix-size "3 MB">
-  <!ENTITY postfix-buildsize "97 MB">
+  <!ENTITY postfix-md5sum "a9fdd0f204e7ca0b7d32fd0b9f8f8c72">
+  <!ENTITY postfix-size "3.5 MB">
+  <!ENTITY postfix-buildsize "132 MB">
   <!ENTITY postfix-time "0.4 SBU">
 ]>
 
@@ -35,6 +35,8 @@
     server for your domain, a mail relay agent or simply a mail delivery
     agent to your local Internet Service Provider (ISP).</para>
 
+    &lfs70_checked;
+
     <bridgehead renderas="sect3">Package Information</bridgehead>
     <itemizedlist spacing="compact">
       <listitem>
@@ -63,15 +65,20 @@
     <para role="required"><xref linkend="db"/></para>
 
     <bridgehead renderas="sect4">Optional</bridgehead>
-    <para role="optional"><xref linkend="pcre"/>,
-    <xref linkend="mysql"/>,
-    <xref linkend="postgresql"/>,
-    <xref linkend="openldap"/>,
-    <xref linkend="openssl"/>,
-    <xref linkend="cyrus-sasl"/>, and
-    <ulink url="http://cr.yp.to/cdb.html">cdb</ulink> or
-    <ulink url="http://www.corpit.ru/mjt/tinycdb.html">TinyCDB</ulink></para>
+    <para role="optional">
+      <xref linkend="pcre"/>,
+      <xref linkend="openssl"/>,
+      <xref linkend="openldap"/>,
+      <xref linkend="cyrus-sasl"/>, 
+      <xref linkend="mysql"/>,
+      <xref linkend="postgresql"/>, and
+      <ulink url="http://cr.yp.to/cdb.html">cdb</ulink> or
+      <ulink url="http://www.corpit.ru/mjt/tinycdb.html">TinyCDB</ulink>
+    </para>
 
+    <para>Note that mysql, postgresql, and cdb are only useful if
+    there is a known need for them.</para>
+
     <para condition="html" role="usernotes">User Notes:
     <ulink url="&blfs-wiki;/postfix"/></para>
 
@@ -91,7 +98,7 @@
       TLS/SSL authentication, you will need to regenerate the makefiles using
       one or more of the appropriate <envar>CCARGS</envar> and
       <envar>AUXLIBS</envar> settings listed below.</para>
-
+<!--
       <para>Here is an example that combines the TLS and
       <application>Cyrus-SASL</application> arguments:</para>
 
@@ -102,16 +109,15 @@
     -DDEF_HTML_DIR=\"/usr/share/doc/postfix-&postfix-version;/html\" \
     -DDEF_README_DIR=\"/usr/share/doc/postfix-&postfix-version;/README\" \
     -I/usr/include/openssl -I/usr/include/sasl' \
-    AUXLIBS='-L/usr/lib -lssl -lcrypto -lsasl2'</userinput></screen>
-
+    AUXLIBS='-lssl -lcrypto -lsasl2'</userinput></screen>
+-->
       <sect4>
         <title>Perl compatible regular expressions</title>
 
         <para>To use <application>PCRE</application> with
-        <application>Postfix</application>, use the following arguments:</para>
+        <application>Postfix</application>, use the following argument:</para>
 
-<screen><literal>CCARGS='-DHAS_PCRE -I/usr/include'
-AUXLIBS='-L/usr/lib -lpcre'</literal></screen>
+<screen><literal>CCARGS='-DHAS_PCRE'</literal></screen>
 
       </sect4>
 
@@ -122,10 +128,11 @@
         <application>Postfix</application>, use the following arguments:</para>
 
 <screen><literal>CCARGS='-DUSE_SASL_AUTH -DUSE_CYRUS_SASL -I/usr/include/sasl'
-AUXLIBS='-L/usr/lib -lsasl2'</literal></screen>
+AUXLIBS='-lsasl2'</literal></screen>
 
       </sect4>
 
+<!--
       <sect4>
         <title>Berkeley DB</title>
 
@@ -137,7 +144,7 @@
 AUXLIBS='-L/usr/lib -ldb'</literal></screen>
 
       </sect4>
-
+-->
       <sect4>
         <title>OpenLDAP</title>
 
@@ -145,8 +152,8 @@
         <application>Postfix</application>, use the following
         arguments:</para>
 
-<screen><literal>CCARGS='-DHAS_LDAP -I/usr/include'
-AUXLIBS='-L/usr/lib -lldap -llber'</literal></screen>
+<screen><literal>CCARGS='-DHAS_LDAP'
+AUXLIBS='-lldap -llber'</literal></screen>
 
       </sect4>
 
@@ -158,7 +165,7 @@
         arguments:</para>
 
 <screen><literal>CCARGS='-DHAS_MYSQL -I/usr/include/mysql'
-AUXLIBS='-L/usr/lib -lmysqlclient -lz -lm'</literal></screen>
+AUXLIBS='-lmysqlclient -lz -lm'</literal></screen>
 
       </sect4>
 
@@ -170,7 +177,7 @@
         arguments:</para>
 
 <screen><literal>CCARGS='-DHAS_PGSQL -I/usr/include/postgresql'
-AUXLIBS='-L/usr/lib -lpq -lz -lm'</literal></screen>
+AUXLIBS='-lpq -lz -lm'</literal></screen>
 
       </sect4>
 
@@ -195,7 +202,7 @@
         arguments:</para>
 
 <screen><literal>CCARGS='-DUSE_TLS -I/usr/include/openssl/'
-AUXLIBS='-L/usr/lib -lssl -lcrypto'</literal></screen>
+AUXLIBS='-lssl -lcrypto'</literal></screen>
 
       </sect4>
 
@@ -217,7 +224,7 @@
 
       <para>Install <application>Postfix</application> by running the
       following commands:</para>
-
+<!--
 <screen><userinput>make makefiles \
 CCARGS='-DDEF_DAEMON_DIR=\"/usr/lib/postfix\" \
     -DDEF_MANPAGE_DIR=\"/usr/share/man\" \
@@ -226,7 +233,21 @@
     <replaceable><additional args></replaceable>' \
     <replaceable><AUXLIBS='additional args'></replaceable> &&
 make</userinput></screen>
+-->
 
+<screen><userinput>PF_CCARGS="-DDEF_DAEMON_DIR=\\\"/usr/lib/postfix\\\""
+PF_CCARGS="$PF_CCARGS -DDEF_MANPAGE_DIR=\\\"/usr/share/man\\\""
+PF_CCARGS="$PF_CCARGS -DDEF_HTML_DIR=\\\"/usr/share/doc/postfix-&postfix-version;/html\\\""
+PF_CCARGS="$PF_CCARGS -DDEF_README_DIR=\\\"/usr/share/doc/postfix-&postfix-version;/README\\\""
+PF_CCARGS="$PF_CCARGS -DHAS_PCRE"
+PF_CCARGS="$PF_CCARGS -DUSE_TLS -I/usr/include/openssl"
+
+PF_AUXLIBS="-lpcre -lssl -lcrypto"
+
+make makefiles CCARGS="$PF_CCARGS" AUXLIBS="$PF_AUXLIBS" &&
+make &&
+unset PF_CCARGS PF_AUXLIBS</userinput></screen>
+
     <!-- There is a testsuite, but it fails a lot. It seems to need
          the host to be specifically setup for the tests.
          Run with `make tests' and `make root_tests' -->
@@ -247,6 +268,9 @@
     makefiles throughout the source tree to use the options contained in the
     <envar>CCARGS</envar> and <envar>AUXLIBS</envar> variables.</para>
 
+    <para>\\\": This structure is used to get a literal \" into the variable
+    definition.</para>
+
     <para><command>sh postfix-install -non-interactive</command>: This
     keeps the install script from asking any questions, thereby accepting
     default destination directories in all but the few cases mentioned in

Modified: trunk/bootscripts/blfs/init.d/postfix
===================================================================
--- trunk/bootscripts/blfs/init.d/postfix	2011-11-05 21:04:08 UTC (rev 8937)
+++ trunk/bootscripts/blfs/init.d/postfix	2011-11-07 17:16:31 UTC (rev 8938)
@@ -1,56 +1,61 @@
 #!/bin/sh
-# Begin $rc_base/init.d/postfix
+# Begin /etc/init.d/postfix
 
-# Based on sysklogd script from LFS-3.1 and earlier.
-# Rewritten by Gerard Beekmans  - gerard at linuxfromscratch.org
+### BEGIN INIT INFO
+# Provides:            postfix
+# Required-Start:      $syslog $local_fs $network
+# Should-Start:        $remote_fs
+# Required-Stop:       $network
+# Should-Stop:         $remote_fs
+# Default-Start:       2 3 4 5
+# Default-Stop:        0 1 6
+# Short-Description:   Postfix MTA
+# Description:         Controls the Postfix Mail Transfer Agent
+# X-LFS-Provided-By:   BLFS
+### END INIT INFO
 
+. /lib/lsb/init-functions
+
 #$LastChangedBy$
 #$Date$
 
-. /etc/sysconfig/rc
-. $rc_functions
+BINFILE=/usr/lib/postfix/master
+PIDFILE=/var/spool/postfix/pid/master.pid
 
 case "$1" in
-	start)
-		boot_mesg "Starting Postfix..."
-		loadproc /usr/sbin/postfix start
-		;;
+   start)
+      log_info_msg "Starting Postfix..."
+      start_daemon -p "${PIDFILE}" /usr/sbin/postfix start 2> /dev/null
+      evaluate_retval 
+      ;;
 
-	stop)
-		boot_mesg "Stopping Postfix..."
-		loadproc /usr/sbin/postfix stop
-		;;
+   stop)
+      log_info_msg "Stopping Postfix..."
+      killproc -p "${PIDFILE}" ${BINFILE}
+      evaluate_retval
+      ;;
 
-	reload)
-		boot_mesg "Reloading Postfix..."
-		loadproc /usr/sbin/postfix reload
-		;;
+   reload)
+      log_info_msg "Reloading Postfix..."
+      killproc -p "${PIDFILE}" ${BINFILE} -HUP
+      evaluate_retval
+      ;;
 
-	abort)
-		boot_mesg "Aborting Postfix..."
-		loadproc /usr/sbin/postfix abort
-		;;
+   restart)
+      $0 stop
+      sleep 1
+      $0 start
+      ;;
 
-	flush)
-		boot_mesg "Flushing Postfix..."
-		loadproc /usr/sbin/postfix flush
-		;;
+   status)
+      echo -n "postfix: "
+      statusproc  -p "${PIDFILE}" ${BINFILE}
+      ;;
 
-	check)
-		boot_mesg "Checking Postfix..."
-		loadproc /usr/sbin/postfix check
-		;;
-
-	restart)
-		$0 stop
-		sleep 1
-		$0 start
-		;;
-
-	*)
-		echo "Usage: $0 {start|stop|reload|abort|flush|check|restart}"
-		exit 1
-		;;
+   *)
+      echo "Usage: $0 {start|stop|reload|restart|status}"
+      exit 1
+      ;;
 esac
 
-# End $rc_base/init.d/postfix
+# End /etc/init.d/postfix




More information about the blfs-book mailing list